cURL
curl --request POST \ --url https://api.dev.monei.cc/api/v1/payment-methods \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "type": "VIRTUAL_ACCOUNT", "subWalletId": "<string>", "card": { "cardNumber": "<string>", "cvv": "<string>", "expiryMonth": "<string>", "expiryYear": "<string>", "cardHolderName": "<string>" }, "nickname": "<string>", "virtualAccountId": "<string>" } '
{ "statusCode": 123, "message": "<string>", "data": { "id": "<string>", "type": "VIRTUAL_ACCOUNT", "status": "ACTIVE", "isDefault": true, "nickname": "<string>", "isEnabled": true, "lastUsedAt": "2023-11-07T05:31:56Z", "usageCount": 123, "capabilities": {}, "details": {}, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "errors": {} }
Documentation IndexFetch the complete documentation index at: https://docs.monei.cc/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
Use this file to discover all available pages before exploring further.
VIRTUAL_ACCOUNT
CARD
BANK_TRANSFER
USSD
CRYPTO_WALLET
Show child attributes